Hi List, hi Julio,

you are right, my fault, i was warned about using the repo snapshot but totally forgot about being on such a snapshot when i tried the upgrade.
So yes, if server-migrator would just remind ppl they are using an unsupported version and they should at least modify repo URLs etc., that would be great!

Thanks for helping!
BR
Heiner


Am Do., 2. Sept. 2021 um 10:46 Uhr schrieb Julio Gonzalez <jgonzalez@suse.com>:
<...>
Strictly speaning, Snapshot are not supported or even announced at any place
(we discussed them a couple of times at the mailing lists, as they are useful
to debug problems, which is the reason we create them).

But since I understand the use case, FMPOV the best approach here is for the
server-migrator script to exit with an error and maybe provide some hint
(basically change the URL for the Uyuni Server repo and then update the
`susemanager` package again).
<...>
--
Julio González Gil
Release Engineer, SUSE Manager and Uyuni
jgonzalez@suse.com